
import { IWindow } from "./Component/IWindow";
import { ui } from "../ui/layaMaxUI";


export class Window extends ui.Window.HomeWindowUI implements IWindow
{
    private static instance:Window;
    constructor()
    {
        super();
        Window.instance = this;
    }

    public static get Instance()
    {
        return Window.instance;
    }

    OnOpen(_data = null)
    {

        this.height = Laya.stage.height;
    }

    OnHide()
    {

    }
}